Package org.pgpainless.key

# Class SubkeyIdentifier

java.lang.Object
org.pgpainless.key.SubkeyIdentifier

public class SubkeyIdentifier extends Object
Tuple class used to identify a subkey by fingerprints of the primary key of the subkeys key ring, as well as the subkeys fingerprint.

## Constructor Summary

Constructors
Constructor
Description
`SubkeyIdentifier(org.bouncycastle.openpgp.PGPKeyRing keyRing)`
Create a `SubkeyIdentifier` from a `PGPKeyRing`.
`SubkeyIdentifier(org.bouncycastle.openpgp.PGPKeyRing keyRing, long keyId)`
Create a `SubkeyIdentifier` from a `PGPKeyRing` and the subkeys key id.
`SubkeyIdentifier(org.bouncycastle.openpgp.PGPKeyRing keyRing, OpenPgpFingerprint subkeyFingerprint)`
`SubkeyIdentifier(OpenPgpFingerprint primaryKeyFingerprint)`
Create a `SubkeyIdentifier` that identifies the primary key with the given fingerprint.
`SubkeyIdentifier(OpenPgpFingerprint primaryKeyFingerprint, OpenPgpFingerprint subkeyFingerprint)`
Create a `SubkeyIdentifier` which points to the subkey with the given subkeyFingerprint, which has a primary key with the given primaryKeyFingerprint.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`OpenPgpFingerprint`
`getFingerprint()`
`long`
`getKeyId()`
`OpenPgpFingerprint`
`getPrimaryKeyFingerprint()`
Return the `OpenPgpFingerprint` of the primary key of the identified key.
`long`
`getPrimaryKeyId()`
Return the key id of the primary key of the identified key.
`OpenPgpFingerprint`
`getSubkeyFingerprint()`
Return the `OpenPgpFingerprint` of the identified subkey.
`long`
`getSubkeyId()`
Return the key id of the identified subkey.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SubkeyIdentifier

public SubkeyIdentifier(org.bouncycastle.openpgp.PGPKeyRing keyRing)
Create a `SubkeyIdentifier` from a `PGPKeyRing`. The identifier will point to the primary key of the provided ring.

Parameters:
  `keyRing` - key ring

### SubkeyIdentifier

public SubkeyIdentifier(@Nonnull org.bouncycastle.openpgp.PGPKeyRing keyRing, long keyId)
Create a `SubkeyIdentifier` from a `PGPKeyRing` and the subkeys key id. `getPrimaryKeyFingerprint()` will return the `OpenPgpFingerprint` of the keyrings primary key, while `getSubkeyFingerprint()` will return the subkeys fingerprint.

Parameters:
  `keyRing` - keyring the subkey belongs to
  `keyId` - keyid of the subkey

### SubkeyIdentifier

public SubkeyIdentifier(@Nonnull org.bouncycastle.openpgp.PGPKeyRing keyRing, @Nonnull OpenPgpFingerprint subkeyFingerprint)

### SubkeyIdentifier

public SubkeyIdentifier(@Nonnull OpenPgpFingerprint primaryKeyFingerprint)
Create a `SubkeyIdentifier` that identifies the primary key with the given fingerprint. This means, both `getPrimaryKeyFingerprint()` and `getSubkeyFingerprint()` return the same.

Parameters:
  `primaryKeyFingerprint` - fingerprint of the identified key

### SubkeyIdentifier

public SubkeyIdentifier(@Nonnull OpenPgpFingerprint primaryKeyFingerprint, @Nonnull OpenPgpFingerprint subkeyFingerprint)
Create a `SubkeyIdentifier` which points to the subkey with the given subkeyFingerprint, which has a primary key with the given primaryKeyFingerprint.

Parameters:
  `primaryKeyFingerprint` - fingerprint of the primary key
  `subkeyFingerprint` - fingerprint of the subkey

## Method Details

### getFingerprint

@Nonnull public OpenPgpFingerprint getFingerprint()

### getKeyId

public long getKeyId()

### getPrimaryKeyFingerprint

@Nonnull public OpenPgpFingerprint getPrimaryKeyFingerprint()
Return the `OpenPgpFingerprint` of the primary key of the identified key. This might be the same as `getSubkeyFingerprint()` if the identified subkey is the primary key.

Returns:
  primary key fingerprint

### getPrimaryKeyId

public long getPrimaryKeyId()
Return the key id of the primary key of the identified key. This might be the same as `getSubkeyId()` if the identified subkey is the primary key.

Returns:
  primary key id

### getSubkeyFingerprint

@Nonnull public OpenPgpFingerprint getSubkeyFingerprint()
Return the `OpenPgpFingerprint` of the identified subkey.

Returns:
  subkey fingerprint

### getSubkeyId

public long getSubkeyId()
Return the key id of the identified subkey.

Returns:
  subkey id

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`